Index: /trunk/client/modules/Elezioni/blocchi/bar_affluenze.php
===================================================================
--- /trunk/client/modules/Elezioni/blocchi/bar_affluenze.php	(revision 115)
+++ /trunk/client/modules/Elezioni/blocchi/bar_affluenze.php	(revision 116)
@@ -31,5 +31,5 @@
 	
 		echo "<h5>Ultime Affluenze</h5>";
-               echo "<div style=\"text-align:center;color:#ff0000\"><b>"._ORE." $ore,$minuti "._DEL."  $giorno/$mese/$anno</b></div>";
+               echo "<div style=\"text-align:center;color:#ff0000\">"._PERC_TEND."<br><b>"._ORE." $ore,$minuti "._DEL."  $giorno/$mese/$anno</b></div>";
                                                                                                                              
 
Index: /trunk/client/modules/Elezioni/blocchi/gom_affluenze.php
===================================================================
--- /trunk/client/modules/Elezioni/blocchi/gom_affluenze.php	(revision 115)
+++ /trunk/client/modules/Elezioni/blocchi/gom_affluenze.php	(revision 116)
@@ -31,5 +31,5 @@
 	
 		echo "<h5>Ultime Affluenze</h5>";
-               echo "<div style=\"text-align:center;color:#ff0000\"><b>"._ORE." $ore,$minuti "._DEL."  $giorno/$mese/$anno</b></div>";
+               echo "<div style=\"text-align:center;color:#ff0000\">"._PERC_TEND."<br><b>"._ORE." $ore,$minuti "._DEL."  $giorno/$mese/$anno</b></div>";
                                                                                                                              
 
@@ -68,5 +68,5 @@
 
 			echo "<center><img src=\"http://chart.apis.google.com/chart?
-			chs=200x100
+			chs=200x110
 			&chd=t:$perc
 			&cht=gom
Index: /trunk/client/modules/Elezioni/blocchi/pie_affluenze.php
===================================================================
--- /trunk/client/modules/Elezioni/blocchi/pie_affluenze.php	(revision 115)
+++ /trunk/client/modules/Elezioni/blocchi/pie_affluenze.php	(revision 116)
@@ -37,5 +37,5 @@
 	
 		echo "<h5>Ultime Affluenze</h5>";
-               echo "<div style=\"text-align:center;color:#ff0000\"><b>"._ORE." $ore,$minuti "._DEL."  $giorno/$mese/$anno</b></div>";
+               echo "<div style=\"text-align:center;color:#ff0000\">"._PERC_TEND."<br><b>"._ORE." $ore,$minuti "._DEL."  $giorno/$mese/$anno</b></div>";
                                                                                                                              
 
Index: /trunk/client/modules/Elezioni/index.php
===================================================================
--- /trunk/client/modules/Elezioni/index.php	(revision 115)
+++ /trunk/client/modules/Elezioni/index.php	(revision 116)
@@ -663,9 +663,8 @@
 				
 				
-				$aff=mysql_query("select orario,data from ".$prefix."_ele_rilaff where id_cons_gen='$id_cons_gen' order by data desc ", $dbi);
+				$aff=mysql_query("select t3.orario,t3.data from ".$prefix."_ele_rilaff as t1 left join ".$prefix."_ele_cons_comune as t2 on t1.id_cons_gen=t2.id_cons_gen left join ".$prefix."_ele_voti_parziale as t3 on t2.id_cons=t3.id_cons where t1.id_cons_gen='$id_cons_gen' and t2.id_cons='$id_cons' order by t3.data desc, t3.orario desc limit 0,1", $dbi);
 				list($ora,$data) = mysql_fetch_row($aff);
 				
-				
-				$tot_rel =mysql_query("select sum(voti_uomini+voti_donne) from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and orario='$ora' and data='$data' and id_gruppo='$id_gruppo2'", $dbi);
+				$tot_rel =mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and orario='$ora' and data='$data' and id_gruppo='$id_gruppo2'", $dbi);
 				list($tot_relativo) = mysql_fetch_row($tot_rel);
 				
@@ -687,9 +686,9 @@
 				
 				
-				
+				list ($ore,$minuti,$secondi)=explode(':',$ora);
 				$var1="<table class=\"table-80\">
 					<tr>
 					<td class=\"redbig\">
-				<h2>percentuale affluenze:<span class=\"redbig\"> $perc_tot% </span></h2></td>
+				<h2>"._PERC_ASS." $ore,$minuti:<span class=\"redbig\"> $perc_tot% </span></h2></td>
 					</tr>";
 				
Index: /trunk/client/modules/Elezioni/language/lang-en.php
===================================================================
--- /trunk/client/modules/Elezioni/language/lang-en.php	(revision 115)
+++ /trunk/client/modules/Elezioni/language/lang-en.php	(revision 116)
@@ -446,4 +446,6 @@
 define("_SCEGLI_DELEG","Choose District");
 define("_ESPORTA","Export Results");
+define("_PERC_TEND","Trend rate");
+define("_PERC_ASS","Absolute rate at");
 
 
Index: /trunk/client/modules/Elezioni/language/lang-it.php
===================================================================
--- /trunk/client/modules/Elezioni/language/lang-it.php	(revision 115)
+++ /trunk/client/modules/Elezioni/language/lang-it.php	(revision 116)
@@ -7,4 +7,6 @@
 /************************************************************************/
 
+define("_PERC_TEND","Percentuale tendenziale");
+define("_PERC_ASS","Percentuale assoluta delle affluenze alle ore");
 define("_MOD_INSERITI","Modelli gia' inseriti");
 define("_SCELTA_MODELLO","Impostazione dei modelli di stampa per la Prefettura");