Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 118)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 119)
@@ -420,24 +420,19 @@
 				$datipdf="<b>"._COMUNE." $descr_comune</b> - "._RISULTATI.": $descr_cons<br/><b>$pagina</b><br/><br/> $list1 $list2 $list3 ";
 			
-				
-				
-				
-
-
-				
+
 				  # verificare la stampa sulle circoscrizioni
 				
-				 echo "<div style=\"text-align:right;width:900px;margin-left:10px;margin-right:20px;font-size:12px; \">";
-				 echo "<table style=\"margin-right:10px;\"><tr><td>"._ESPORTA."<br />";
+				 echo "<div style=\"text-align:right;width:900px;margin-left:10px;margin-right:0px;font-size:12px; \">";
+				 echo "<table style=\"text-align:center;margin-right:0px;border-top : 1px solid Blue;width: 120px;\"><tr style=\" background:#eceff5;\"><td>"._ESPORTA."<br />";
 				 if($circo){ echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;id_circ=$id_circ&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
 				}else{ 
 				  echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
 				  echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;xls=1&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/csv.gif\" alt=\"Export Csv\" /></a>";
-				  //echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;pdf=1&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/pdf.gif\" alt=\"Export Pdf\" /></a>";
+
 				echo "<img class=\"image\"  src=\"modules/Elezioni/images/rss.png\" alt=\"Export rss\" />";
 				
-				echo "	</td></tr></table></form> ";
-				
-				
+				echo "	</td></tr> ";
+				
+				# stampa pdf
 				echo "<form id=\"pdf\" method=\"post\" action=\"modules.php\">";
 					
@@ -459,10 +454,10 @@
 				echo "<input type=\"hidden\" name=\"name\" value=\"Elezioni\"></input>";
 
-				echo "<table style=\"margin-right:10px;\"><tr><td>";
-				echo "<input type=\"image\" name=\"submit\" src=\"modules/Elezioni/images/pdf.gif\">";
-				echo "</td><td>";
-				echo "L &nbsp;<input type=\"radio\" name=\"orienta\" $land value=\"L\"></input>P &nbsp;<input
+				echo "<tr><td>";
+				echo "<input type=\"image\" name=\"submit\" src=\"modules/Elezioni/images/pdf.gif\" align=\"left\">";
+				
+				echo "&nbsp; L &nbsp;<input type=\"radio\" name=\"orienta\" $land value=\"L\"></input>P &nbsp;<input
 				type=\"radio\" name=\"orienta\" $port value=\"P\"></input><br />";
-				echo "A3<input type=\"radio\" name=\"formato\" $A3 value=\"A3\"></input>A4<input
+				echo "&nbsp; A3<input type=\"radio\" name=\"formato\" $A3 value=\"A3\"></input>A4<input
 				type=\"radio\" name=\"formato\" $A4 value=\"A4\"></input>";
 				
@@ -728,5 +723,5 @@
 				$datipdf .="<br/><b>Referendum n. ".$num_gruppo." </b><br/>".$descr."";
 				echo "<div style=\"text-align:right;width:900px;margin-left:10px;margin-right:20px;font-size:12px \">";
-				echo "<table style=\"margin-right:10px;\"><tr><td>"._ESPORTA."<br />";
+				echo "<table style=\"text-align:center;margin-right:0px;border-top : 1px solid Blue;width: 120px;\"><tr style=\" background:#eceff5;\"><td>"._ESPORTA."<br />";
 				
 			        echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;perc=$perc&amp;id_gruppo=$id_gruppo&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
@@ -738,5 +733,5 @@
 			echo "<img class=\"image\"  src=\"modules/Elezioni/images/rss.png\" alt=\"Export rss\" />";
 				
-				echo "	</td></tr></table></form> ";
+				echo "	</td></tr>";
 				
 				
@@ -760,10 +755,9 @@
 				echo "<input type=\"hidden\" name=\"name\" value=\"Elezioni\"></input>";
 
-				echo "<table style=\"margin-right:10px;\"><tr><td>";
-				echo "<input type=\"image\" name=\"submit\" src=\"modules/Elezioni/images/pdf.gif\">";
-				echo "</td><td>";
-				echo "L &nbsp;<input type=\"radio\" name=\"orienta\" $land value=\"L\"></input>P &nbsp;<input
+				echo "<tr><td>";
+				echo "<input type=\"image\" name=\"submit\" src=\"modules/Elezioni/images/pdf.gif\" align=\"left\">";
+				echo "&nbsp; L &nbsp;<input type=\"radio\" name=\"orienta\" $land value=\"L\"></input>P &nbsp;<input
 				type=\"radio\" name=\"orienta\" $port value=\"P\"></input><br />";
-				echo "A3<input type=\"radio\" name=\"formato\" $A3 value=\"A3\"></input>A4<input
+				echo "&nbsp; A3<input type=\"radio\" name=\"formato\" $A3 value=\"A3\"></input>A4<input
 				type=\"radio\" name=\"formato\" $A4 value=\"A4\"></input>";
 				