Index: /trunk/client/modules/Elezioni/grafici.php
===================================================================
--- /trunk/client/modules/Elezioni/grafici.php	(revision 125)
+++ /trunk/client/modules/Elezioni/grafici.php	(revision 126)
@@ -310,5 +310,5 @@
 		if ($genere==0) echo " "._GRUPPO." $num_gruppo";
 
-		$logo=verificasimbolo(); // carica_logo da funzioni.php
+		//$logo=verificasimbolo(); // carica_logo da funzioni.php
 		
 		if ((!$csv && $flash!=1 || $anim!=1) and ($tour!=1)){ # rotazione x tour marzo 2009 a.l.
Index: /trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- /trunk/client/modules/Elezioni/gruppo.php	(revision 125)
+++ /trunk/client/modules/Elezioni/gruppo.php	(revision 126)
@@ -38,4 +38,5 @@
 if (isset($param['orienta'])) get_magic_quotes_gpc() ? $orienta=$param['orienta']:$orienta=addslashes($param['orienta']); else $orienta='';
 if (isset($param['datipdf'])) get_magic_quotes_gpc() ? $datipdf=$param['datipdf']:$datipdf=addslashes($param['datipdf']); else $datipdf='';
+if (isset($param['formato'])) get_magic_quotes_gpc() ? $formato=$param['formato']:$formato=addslashes($param['formato']); else $formato='';
 if (isset($param['formato'])) get_magic_quotes_gpc() ? $formato=$param['formato']:$formato=addslashes($param['formato']); else $formato='';
 # anti-xss nov. 2009 
Index: /trunk/client/modules/Elezioni/votanti.php
===================================================================
--- /trunk/client/modules/Elezioni/votanti.php	(revision 125)
+++ /trunk/client/modules/Elezioni/votanti.php	(revision 126)
@@ -56,4 +56,14 @@
 if (isset($param['num_refs'])) $num_refs=$param['num_refs'];
 $bgcolor2='#cacaca';
+
+
+if (!IsSet($num_ref)) { 
+		$num_ref=1;
+		$resg = mysql_query("SELECT id_gruppo from ".$prefix."_ele_gruppo where id_cons=$id_cons", $dbi);
+		$num_refs= mysql_num_rows($resg); //quante pagine?
+	}
+
+
+
 //**************************************************************************
 //        ELE
@@ -157,7 +167,15 @@
 	<a href=\"modules.php?name=Elezioni&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;op=graf_votanti\">
 	"._VER_GRAF." <img class=\"image\" src=\"modules/Elezioni/images/grafici.png\" alt=\"\" /></a>
+
+	 <a href=\"modules.php?name=Elezioni&amp;op=come&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;info=votanti&amp;csv=1&amp;pag=$pag&amp;num_ref=$num_ref&amp;num_refs=$num_refs\">"._VER_STAMPA."
+
 	 <a href=\"modules.php?name=Elezioni&amp;op=come&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;info=votanti&amp;csv=1&amp;pag=$pag$curref\">"._VER_STAMPA."
+
 	<img class=\"image\" src=\"modules/Elezioni/images/printer.png\" alt=\"\" /></a>
+
+	<a href=\"modules.php?name=Elezioni&amp;op=come&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;info=votanti&amp;xls=1&csv=1;&amp;pag=$pag&amp;num_ref=$num_ref&amp;num_refs=$num_refs\">
+
 	<a href=\"modules.php?name=Elezioni&amp;op=come&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;info=votanti&amp;xls=1&csv=1;&amp;pag=$pag$curref\">
+
 		<img class=\"image\" src=\"modules/Elezioni/images/csv.gif\" alt=\"\" /></a>
 
@@ -338,10 +356,10 @@
         if ($cur>1) {
               $num_ref--;
-			  $html .= "<a href=\"modules.php?name=Elezioni&amp;op=come&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;info=votanti&amp;num_ref=$num_ref&amp;num_refs=$num_refs&amp;csv=$csv\">";
+			  $html .= "<a href=\"modules.php?name=Elezioni&amp;op=come&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;info=votanti&amp;num_ref=$num_ref&amp;num_refs=$num_refs&amp;csv=$csv&amp;xls=$xls&amp;pdf=$pdf\">";
               $html .= "[ <b>"._PREV_MATCH."</b> ]</a>";
         }
         if ($cur<$num_refs) {
 	        $cur++;        
-			$html .= "<a href=\"modules.php?name=Elezioni&amp;op=come&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;info=votanti&amp;num_ref=$cur&amp;num_refs=$num_refs&amp;csv=$csv\">";
+			$html .= "<a href=\"modules.php?name=Elezioni&amp;op=come&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;info=votanti&amp;num_ref=$cur&amp;num_refs=$num_refs&amp;csv=$csv&amp;xls=$xls&amp;pdf=$pdf\">";
 			
             $html .= "[ <b>"._NEXT_MATCH."</b> ]</a>";
@@ -365,6 +383,6 @@
 if($csv==1){
       $data=date("d-m-y G:i");
-      $html .="<br/><div><i>Stampato: $data</i></div>";
-      $html .="<br/><i>Eleonline by l. apolito & r. gigli - www.eleonline.it</i>";		
+      $html .="</div><br/><div style=\"margin:0 auto;text-align:center;\"><i>Stampato: $data</i>";
+      $html .="<br/><i>Eleonline by l. apolito & r. gigli - www.eleonline.it</i></div>";		
       //$html .= $html;	
       