Index: /trunk/admin/footer.php
===================================================================
--- /trunk/admin/footer.php	(revision 128)
+++ /trunk/admin/footer.php	(revision 129)
@@ -23,5 +23,5 @@
 <b><font color=\"#ffffff\"><a href=\"http://www.eleonline.it\" target=\"eleonline\">
 
-Eleonline vers.2.0 @2009 <img src=\"modules/Elezioni/images/ico.jpg\" border=\"0\" alt=\"Eleonline\" align=\"middle\"></a> "._GESTIONE." by r.gigli & l.apolito</font></b></td></tr></table>";
+Eleonline vers.2.0.128 @2011 <img src=\"modules/Elezioni/images/ico.jpg\" border=\"0\" alt=\"Eleonline\" align=\"middle\"></a> "._GESTIONE." by robertogigli & luciano apolito</font></b></td></tr></table>";
 echo "</td></tr></table></div>";
 echo "</body>\n"
Index: /trunk/admin/modules/Elezioni/ele.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele.php	(revision 128)
+++ /trunk/admin/modules/Elezioni/ele.php	(revision 129)
@@ -274,5 +274,8 @@
 		}
 	}
-		echo "<br><a href=\"admin.php?op=cambiopwd&amp;id_cons_gen=$id_cons_gen\">$bullet"._CAMBIOPWD."</a><br>";
+
+
+	echo "<br><a href=\"admin.php?op=cambiopwd&amp;id_cons_gen=$id_cons_gen\">$bullet"._CAMBIOPWD."</a><br>";
+	echo "<hr /><a href=\"../client/modules.php\" target=\"_blank\">$bullet Guarda il sito</a><br /><hr />";
 	echo "<a href=\"admin.php?op=logout\">$bullet "._ESCI."</a>";
 	echo "</td></tr></table>";
Index: /trunk/client/footer.php
===================================================================
--- /trunk/client/footer.php	(revision 128)
+++ /trunk/client/footer.php	(revision 129)
@@ -23,7 +23,12 @@
 /************************************************************************/
 
- echo "<br />[<a href=\"http://www.eleonline.it\"><b>Eleonline-2.0</b></a> - "._GESRIS." ]
-";
-echo '</div>
+ echo "<br />[<a href=\"http://www.eleonline.it\"><b>Eleonline-2.0</b></a> - "._GESRIS." ]<br />
+	<a href=\"modules.php?name=Elezioni&amp;op=evvai\">Gruppo di lavoro "._COMUNE."  $descr_com</a>
+<br /><br /></div>";
+//global $id_comune;
+
+if($id_comune!="58047"){
+
+echo '
 
 <!-- w3c -->
@@ -45,6 +50,7 @@
     		<span class="spec">XHTML 1.0</span>
 		</a>
-	</div>
-</td></tr></table>';
+	</div>';
+}
+echo '</td></tr></table>';
 echo "</body>\n"
 ."</html>";
Index: /trunk/client/modules/Elezioni/blocchi/myrss.php
===================================================================
--- /trunk/client/modules/Elezioni/blocchi/myrss.php	(revision 129)
+++ /trunk/client/modules/Elezioni/blocchi/myrss.php	(revision 129)
@@ -0,0 +1,64 @@
+<?php
+
+
+$url="http://www.guidonia.org/nuovo/comune/rss.php?siteid=24"; // link feed
+$sito="http://www.guidonia.org/portale/comune/index.php?siteid=24"; // link sito
+//$url="http://www.aniene.net/backend.php";
+echo "<h5>News Ufficio Elettorale</h5>"; // titolo
+$agent= $_SERVER['HTTP_USER_AGENT'];
+
+
+	
+	$rdf = parse_url($url);
+	$fp = fsockopen($rdf['host'], 80, $errno, $errstr, 15);
+	//$fp = fsockopen($rdf['www.guidonia.org'], 80, $errno, $errstr, 15);
+	if ($fp) {
+	
+	    if (!empty($rdf['query']))$rdf['query'] = "?" . $rdf['query'];
+
+	    fputs($fp, "GET " . $rdf['path'] . $rdf['query'] . " HTTP/1.0\r\n");
+	    fputs($fp, "HOST: " . $rdf['host'] . "\r\n\r\n");
+	    fputs($fp,"Content-type: application/x-www-form- urlencoded\r\n"); 
+	    fputs($fp, "User-Agent: $agent \r\n");
+fputs($fp, "Accept-Language: de-de,de;q=0.8,en-us;q=0.5,en;q=0.3\r\n");
+fputs($fp, "Accept-Encoding: gzip,deflate\r\n");
+fputs($fp, "Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7\r\n");
+fputs($fp, "Keep-Alive: 300\r\n");
+
+	    $string	= "";
+	    while(!feof($fp)) {
+	    	$pagetext = fgets($fp,300);
+	    	$string .= chop($pagetext);
+	    }
+	    fputs($fp,"Connection: close\r\n\r\n");
+	    fclose($fp); 
+	    $items = explode("</item>",$string);
+	    $content = "<font class=\"content\">";
+	    for ($i=0;$i<5;$i++) {
+		$link = preg_replace("#.*<link>#","",$items[$i]);
+		$link = preg_replace("#</link>.*#","",$link);
+		$title2 = preg_replace("#.*<title>#","",$items[$i]);
+		$title2 = preg_replace("#</title>.*#","",$title2);
+		$title2 = stripslashes($title2);
+		if (empty($items[$i]) AND $cont != 1) {
+		    $content = "";
+		    
+		    return;
+		} else {
+		
+		    if (strcmp($link,$title2) AND !empty($items[$i])) {
+			$cont = 1;
+			$content .= "<p><strong><a href=\"$link\" target=\"new\">$title2</a></strong></p>\n";
+		    }
+		}
+	   
+
+	}
+	
+   }
+   
+
+
+echo '<div>'.$content.'
+<p style="text-align:center"><br/>[ <a href="'.$sito.'" target="_blank">Vai al sito Elettorale </a> ]</p></div>';
+?>
Index: /trunk/client/modules/Elezioni/evvai.php
===================================================================
--- /trunk/client/modules/Elezioni/evvai.php	(revision 128)
+++ /trunk/client/modules/Elezioni/evvai.php	(revision 129)
@@ -11,8 +11,16 @@
     die ("You can't access this file directly...");
 }
+
+//$blocco=0;
+
+# citta' di Guidonia Montecelio
+
+global $id_comune;
+if($id_comune=="58047") $filename="guidonia.html";
+else $filename="gruppo.html"; # per altre cittÃ  inserire nella variabile $filename il nome del file html messo in pagine/
+
+//$filename="$nomefile.hml";
+
 if (!isset($filename)) {  Header("Location: index.php"); }
-$blocco=0;
-include("header.php");
-$filename="$filename.html";
 
 // verifica se la pagina e' un html
@@ -21,21 +29,16 @@
 		echo "<hr>"._GOBACK."";
 	
-	}else {
-		// verifica link pagine esterne e risalita path
-	
-	if( substr($filename,0,1)!="." && substr($filename,0,4)!="http" ){
+	}elseif ( substr($filename,0,1)!="." && substr($filename,0,4)!="http" ){
   		//echo substr($file,-4);
 		include ("pagine/$filename");
-		echo "<hr>"._GOBACK."";
+		echo "<hr />"._GOBACK."";
   		
-	}
-	else {
+	}else {
 		echo "Autorizzazione negata...";
 		echo "<hr>"._GOBACK."";
 		
 	}
-}
 
-CloseTable();
-include("footer.php");
+
+
 ?>
Index: /trunk/client/modules/Elezioni/index.php
===================================================================
--- /trunk/client/modules/Elezioni/index.php	(revision 128)
+++ /trunk/client/modules/Elezioni/index.php	(revision 129)
@@ -1165,4 +1165,8 @@
    break;
    
+   case "evvai":
+   	include("evvai.php");
+   break;
+
 }
 
Index: /trunk/client/modules/Elezioni/language/lang-it.php
===================================================================
--- /trunk/client/modules/Elezioni/language/lang-it.php	(revision 128)
+++ /trunk/client/modules/Elezioni/language/lang-it.php	(revision 129)
@@ -180,5 +180,7 @@
 define("_ORDINE","Ordine");
 define("_MAPPA","Mappa");
-define("_COMUNE","Comune di ");
+global $id_comune;
+if($id_comune=="58047") define("_COMUNE","Citta' di ");
+else define("_COMUNE","Comune di ");
 define("_DISCLAIMER","Dati Provvisori suscettibili di modifica. I dati hanno puramente titolo informativo");
 define("_COME","Come si vota");
Index: /trunk/client/pagine/gruppo.html
===================================================================
--- /trunk/client/pagine/gruppo.html	(revision 128)
+++ /trunk/client/pagine/gruppo.html	(revision 129)
@@ -1,80 +1,1 @@
-
-<br/>
-<br/>
-<div align="center">
-
-<table style="text-align: left; width: 695px; height: 698px;" border="0"
- cellpadding="2" cellspacing="2">
-  <tbody>
-    <tr>
-      <td style="vertical-align: top;">
-      <div style="text-align: center;"><font color="#191970"
- face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular" size="5"><b>&nbsp;il
-gruppo di lavoro</b></font><font color="#191970"
- face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular" size="5"><b> per i
-dati </b></font><font color="#191970"
- face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular" size="5"><b>elettorali
-OnLine </b></font></div>
-      <p><font color="#191970"
- face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular" size="5"><b> </b></font></p>
-    
-      <p style="margin-bottom: 0cm;"><br/>
-      </p>
-      <p style="margin-bottom: 0cm;"><big><big>Coordinamento Gruppo:<br/>
-      <span style="font-weight: bold; font-style: italic;">Luciano
-Apolito</span></big></big></p>
-      <p style="margin-bottom: 0cm;"><big><br/>
-Sviluppatori software:<br/>
-      <span style="font-weight: bold; font-style: italic;">Luciano
-Apolito &amp; Roberto Gigli</span></big></p>
-      <big><br/>
-      </big>
-      <p style="margin-bottom: 0cm;"><big>Coordinamento Assistenza agli
-operatori nel caricamento dello spoglio elettorale e trasmissione
-dati alla Prefettura.:<br/>
-      <span style="font-weight: bold; font-style: italic;">Tullio
-Uranelli</span></big></p>
-      <p style="margin-bottom: 0cm;"><big>Assistenza agli operatori nel
-caricamento dello spoglio elettorale e trasmissione dati alla
-Prefettura:<br/>
-      <span style="font-weight: bold; font-style: italic;">Michele
-Maccarone</span></big></p>
-      <p style="margin-bottom: 0cm;"><big>Grafica, dati elettorali
-statici, immissione dati statici, test e assistenza operatori:<br/>
-      <span style="font-weight: bold; font-style: italic;">Gianfranco
-Montelucci &amp; Fabio Ansaldi &amp; Angelo Terenzi</span><br/>
-      </big></p>
-      <p style="margin-bottom: 0cm;"><big>Compiti amministrativi, call
-center e
-smistamento delle problematiche, inserimento dati:<br/>
-      <span style="font-style: italic; font-weight: bold;">Cinzia Oddi</span></big></p>
-      <p style="margin-bottom: 0cm;"><br/>
-      </p>
-      <br/>
-      <font color="#191970"
- face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular" size="5"><br/>
-      </font>
-      <div style="text-align: justify;"><font
- face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular" size="2">Per
-maggiori informazioni sul servizio e sul software <a
- href="http://localhost/ele2005/modules.php?name=Elezioni&amp;file=index&amp;op=contatti">contattare
-qui</a><br/>
-      </font></div>
-      <p><font face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular"
- size="2"><br/>
-      </font></p>
-      <p style="margin-left: 40px;"><font
- face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular" size="2">&nbsp;&nbsp;&nbsp;
-&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
-&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
-&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp; [ <a href="index.php">Torna
-alla pagina iniziale</a> ]</font></p>
-      <br/>
-      </td>
-    </tr>
-  </tbody>
-</table>
-<br/>
-<br/>
-</div>
-
+<br />Inserire il gruppo di lavoro del tuo Comune
Index: /trunk/client/pagine/guidonia.html
===================================================================
--- /trunk/client/pagine/guidonia.html	(revision 129)
+++ /trunk/client/pagine/guidonia.html	(revision 129)
@@ -0,0 +1,47 @@
+<p>
+	<br />
+	&nbsp;</p>
+<div align="center">
+	<table border="0" cellpadding="2" cellspacing="2" style="text-align: left; width: 695px; height: 698px;">
+		<tbody>
+			<tr>
+				<td style="vertical-align: top;">
+					<div style="text-align: center;">
+						<font color="#191970" face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular" size="5"><b>&nbsp;il gruppo di lavoro</b></font><font color="#191970" face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular" size="5"><b> per i dati </b></font><font color="#191970" face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular" size="5"><b>elettorali OnLine </b></font></div>
+					<p>
+						&nbsp;</p>
+					<p style="margin-bottom: 0cm;">
+						&nbsp;</p>
+					<p style="margin-bottom: 0cm;">
+						<big>Sviluppo , adeguamento software e coordinamento tecnico:</big><big><span style="font-weight: bold; font-style: italic;"> </span></big></p>
+					<p style="margin-bottom: 0cm;">
+						<big><span style="font-weight: bold; font-style: italic;">Luciano Apolito</span></big></p>
+					<p style="margin-bottom: 0cm;">
+						<big>Assistenza agli operatori nel caricamento dello spoglio elettorale e trasmissione dati alla Prefettura, coordinamento assistenza CED Elettorale e Anagrafe:<span style="font-weight: bold; font-style: italic;"> </span></big></p>
+					<p style="margin-bottom: 0cm;">
+						<big><span style="font-weight: bold; font-style: italic;">Tullio Uranelli e Damiano Moretti</span></big></p>
+					<p style="margin-bottom: 0cm;">
+						<big>Grafica, dati elettorali statici, immissione dati statici, test e assistenza operatori, integrazione elezioni precedenti, preparazione stampa risultati:</big></p>
+					<p style="margin-bottom: 0cm;">
+						<big><span style="font-weight: bold; font-style: italic;">Gianfranco Montelucci , Fabio Ansaldi , Angelo Terenzi, Antonella Angelini</span><br />
+						</big></p>
+					<p style="margin-bottom: 0cm;">
+						<big>Compiti amministrativi, call center e smistamento delle problematiche:<p style="margin-bottom: 0cm;"> <span style="font-style: italic; font-weight: bold;"> Marianna Consalvi</span></big></p>
+					<p style="margin-bottom: 0cm;">
+						&nbsp;</p>
+					<big>Il software Eleonline &egrave; stato sviluppato da :<br />
+					<span style="font-weight: bold; font-style: italic;">Luciano Apolito &amp; Roberto Gigli</span></big><br />
+					<br />
+					<div style="text-align: justify;">
+						<font face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular" size="2">Per maggiori informazioni sul software <a href="http://www.eleonline.it">contattare qui</a><br />
+						</font></div>
+					<p>
+						&nbsp;</p>
+					<p style="margin-left: 40px;">
+						<font face="Arial,Helvetica,Geneva,Swiss,SunSans-Regular" size="2">&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; &nbsp; [ <a href="index.php">Torna alla pagina iniziale</a> ]</font></p>
+				</td>
+			</tr>
+		</tbody>
+	</table>
+</div>
+
Index: /trunk/client/pagine/vuoto.html
===================================================================
--- /trunk/client/pagine/vuoto.html	(revision 129)
+++ /trunk/client/pagine/vuoto.html	(revision 129)
@@ -0,0 +1,1 @@
+<br />Inserire il gruppo di lavoro del tuo Comune
Index: /trunk/client/temi/facebook/index.php
===================================================================
--- /trunk/client/temi/facebook/index.php	(revision 128)
+++ /trunk/client/temi/facebook/index.php	(revision 129)
@@ -25,5 +25,5 @@
 	echo "<div id=\"container\" >";
 	if ($file=="index") menu();
-
+	
 	echo "<table  class=\"table-main\" cellpadding=\"0\" cellspacing=\"0\"><tr>";
 	$check=check_block("dx"); // check exist box