Index: trunk/client/modules/Elezioni/blocchi/myrss.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/myrss.php	(revision 129)
+++ trunk/client/modules/Elezioni/blocchi/myrss.php	(revision 130)
@@ -1,9 +1,22 @@
 <?php
+/************************************************************************/
+/* Eleonline - Raccolta e diffusione dei dati elettorali                */
+/* by Roberto Gigli & Luciano Apolito                                   */
+/* http://www.eleonline.it                                              */
+/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
+/************************************************************************/
+/* widget legge rss */
 
 
+
+# configurazione
 $url="http://www.guidonia.org/nuovo/comune/rss.php?siteid=24"; // link feed
 $sito="http://www.guidonia.org/portale/comune/index.php?siteid=24"; // link sito
-//$url="http://www.aniene.net/backend.php";
-echo "<h5>News Ufficio Elettorale</h5>"; // titolo
+$titolo="News Ufficio Elettorale"; // titolo del blocco
+$footer_rss="Vai al sito Elettorale "; // descrizione fine blocco per il link
+# fine configurazione
+
+
+echo "<h5>$titolo</h5>"; // titolo
 $agent= $_SERVER['HTTP_USER_AGENT'];
 
@@ -61,4 +74,4 @@
 
 echo '<div>'.$content.'
-<p style="text-align:center"><br/>[ <a href="'.$sito.'" target="_blank">Vai al sito Elettorale </a> ]</p></div>';
+<p style="text-align:center"><br/>[ <a href="'.$sito.'" target="_blank">'.$footer_rss.' </a> ]</p></div>';
 ?>
Index: trunk/client/modules/Elezioni/blocchi/translation.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/translation.php	(revision 130)
+++ trunk/client/modules/Elezioni/blocchi/translation.php	(revision 130)
@@ -0,0 +1,70 @@
+<?php
+/************************************************************************/
+/* Google Translation         	                                        */
+/*                                                                      */
+/************************************************************************/
+# configurazione
+$url = "elezioni.guidonia.org";	 //// url del sito 
+$lingua = "it";			//// lingua di provenienza
+$titolo = "Translation";
+
+
+echo  "<h5>$titolo</h5>";
+echo "<div style=\"text-align:center;\">";
+echo  "<a href=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=en&amp;u=http%3A%2F%2F$url\"><img style=\"border:0px\" src=\"modules/Elezioni/images/language/United-States.png\" title=\"English\" alt=\"English\" width=\"30\"/></a> ";
+echo  "<a href=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=es&amp;u=http%3A%2F%2F$url\"><img style=\"border:0px\" src=\"modules/Elezioni/images/language/Spain.png\" title=\"Spanish\" alt=\"Spanish\" width=\"30\"/></a> ";
+echo  "<a href=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=ro&amp;u=http%3A%2F%2F$url\"><img style=\"border:0px\" src=\"modules/Elezioni/images/language/Romania.png\" title=\"Romanian\" alt=\"Romanian\" width=\"30\"/></a> ";
+echo  "<a href=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=de&amp;u=http%3A%2F%2F$url\"><img style=\"border:0px\" src=\"modules/Elezioni/images/language/Germany.png\" title=\"Germany\" alt=\"Germany\" width=\"30\"/></a> ";
+echo  "<a href=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=fr&amp;u=http%3A%2F%2F$url\"><img style=\"border:0px\" src=\"modules/Elezioni/images/language/France.png\" title=\"France\" alt=\"France\" width=\"30\"/></a> ";
+
+
+
+echo  "<select onchange=\"window.location.href=this.options[this.selectedIndex].value\"><option value=\"\">--Select--</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=sq&amp;u=http%3A%2F%2F$url\">Albanian</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=ar&amp;u=http%3A%2F%2F$url\">Arabic</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=bg&amp;u=http%3A%2F%2F$url\">Bulgarian</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=ca&amp;u=http%3A%2F%2F$url\">Catalan</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=zh-CN&amp;u=http%3A%2F%2F$url\">Chinese(Simp)</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=zh-TW&amp;u=http%3A%2F%2F$url\">Chinese(Trad)</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=hr&amp;u=http%3A%2F%2F$url\">Croatian</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=cs&amp;u=http%3A%2F%2F$url\">Czech</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=da&amp;u=http%3A%2F%2F$url\">Danish</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=nl&amp;u=http%3A%2F%2F$url\">Dutch</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=en&amp;u=http%3A%2F%2F$url\">English</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=et&amp;u=http%3A%2F%2F$url\">Estonian</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=tl&amp;u=http%3A%2F%2F$url\">Filipino</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=fi&amp;u=http%3A%2F%2F$url\">Finnish</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=fr&amp;u=http%3A%2F%2F$url\">French</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=gl&amp;u=http%3A%2F%2F$url\">Galician</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=de&amp;u=http%3A%2F%2F$url\">German</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=el&amp;u=http%3A%2F%2F$url\">Greek</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=iw&amp;u=http%3A%2F%2F$url\">Hebrew</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=hi&amp;u=http%3A%2F%2F$url\">Hindi</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=hu&amp;u=http%3A%2F%2F$url\">Hungarian</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=id&amp;u=http%3A%2F%2F$url\">Indonesian</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=it&amp;u=http%3A%2F%2F$url\">Italian</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=ja&amp;u=http%3A%2F%2F$url\">Japanese</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=ko&amp;u=http%3A%2F%2F$url\">Korean</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=lv&amp;u=http%3A%2F%2F$url\">Latvian</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=lt&amp;u=http%3A%2F%2F$url\">Lithuanian</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=mt&amp;u=http%3A%2F%2F$url\">Maltese</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=no&amp;u=http%3A%2F%2F$url\">Norwegian</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=fa&amp;u=http%3A%2F%2F$url\">Persian</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=pl&amp;u=http%3A%2F%2F$url\">Polish</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=pt&amp;u=http%3A%2F%2F$url\">Portuguese</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=ro&amp;u=http%3A%2F%2F$url\">Romanian</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=ru&amp;u=http%3A%2F%2F$url\">Russian</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=sr&amp;u=http%3A%2F%2F$url\">Serbian</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=sk&amp;u=http%3A%2F%2F$url\">Slovak</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=sl&amp;u=http%3A%2F%2F$url\">Slovenian</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=es&amp;u=http%3A%2F%2F$url\">Spanish</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=sv&amp;u=http%3A%2F%2F$url\">Swedish</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=th&amp;u=http%3A%2F%2F$url\">Thai</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=tr&amp;u=http%3A%2F%2F$url\">Turkish</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=uk&amp;u=http%3A%2F%2F$url\">Ukrainian</option>";
+echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=vi&amp;u=http%3A%2F%2F$url\">Vietnamese</option>";
+echo  "</select>";
+echo "</div>";
+
+
+?>