Index: /trunk/client/modules/Elezioni/menu.php
===================================================================
--- /trunk/client/modules/Elezioni/menu.php	(revision 139)
+++ /trunk/client/modules/Elezioni/menu.php	(revision 140)
@@ -27,5 +27,20 @@
         // inizio tabella
 	echo "<table  class=\"table-main\"><tr>";
-
+	echo "<td >
+			    <form id=\"m\" method=\"post\" action=\"modules.php\">
+			    <div><label class=\"blu\" for=\"m\">
+			    <input type=\"hidden\" name=\"name\" value=\"Elezioni\" />
+			    
+			    
+			    <select name=\"op\" class=\"moduloform\" onclick=\"javascript:top.location.href='modules.php?name=Elezioni&amp;op='+this.options[this.options.selectedIndex].value\">";
+
+		
+			    echo "<option value=\"gruppo\" type=\"hidden\" > Home  </option>";
+			    
+			   
+			
+	
+			    echo "</select>$button</label></div></form>
+	</td>";
 
 	/*********************************** 
Index: /trunk/updatedb/update2_138-139.php
===================================================================
--- /trunk/updatedb/update2_138-139.php	(revision 140)
+++ /trunk/updatedb/update2_138-139.php	(revision 140)
@@ -0,0 +1,125 @@
+<?php
+echo"
+##########################################<br/>
+# update db eleonline da 2.138 a 2.139 <br/>
+# 6 maggio 2012 <br/>
+# http://www.eleonline.it<br/>  
+#<br/>
+# Aggiornamento normativa Regione Sicilia voto disgiunto<br/>
+# e nuove fasce comuni <br/>            
+##########################################<br/>
+";
+include("config.php");
+if(!$dbi = mysql_connect($dbhost, $dbuname, $dbpass)){
+die("<center><img src=\"images/logo.gif\" target=\"Logo Avviso Errore\"><br/><br/><b>Ci sono dei problemi di connessione al Server $dbtype, chiediamo scusa per l'inconveniente.<br/><br/>Provate piu' tardi, Grazie.</b><br/><font color=\"#ff0000\">". mysql_error()."</font></center>");
+}
+
+if(!mysql_select_db($dbname)){
+die("<center><img src=src=\"images/logo.gif\" target=\"Logo Avviso Errore\"><br/><br/><b>Ci sono dei problemi di connessione al DataBase $dbtype, chiediamo scusa per l'inconveniente.<br/><br/>Provate piu' tardi, Grazie.</b><br/><font color=\"#ff0000\">". mysql_error()."</font></center>");
+}
+mysql_query("SET NAMES 'utf8'", $dbi);
+
+
+global $dbi;
+# cancella e ricrea tabella _ele_fasce
+$descr[1]="Cancella tabella esistente ele_fasce";
+$update[1]="
+DROP TABLE IF EXISTS `soraldo_ele_fasce`;
+";
+$descr[2]="Crea tabella ele_fasce";
+$update[2]="
+CREATE TABLE IF NOT EXISTS `soraldo_ele_fasce` (
+`id_fascia` int(2) NOT NULL,
+`abitanti` int(11) NOT NULL,
+`data_inizio` date NOT NULL,
+`data_fine` date NOT NULL,
+`seggi` int(4) NOT NULL,
+KEY `id_fascia` (`id_fascia`)
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+";
+$descr[3]="popola tabella ele_fasce";
+$update[3]="
+INSERT INTO `soraldo_ele_fasce` (`id_fascia`, `abitanti`, `data_inizio`, `data_fine`, `seggi`) VALUES
+(1, 3000, '2000-01-01', '2010-12-31', 12),
+(2, 10000, '2000-01-01', '2010-12-31', 16),
+(3, 15000, '2000-01-01', '2010-12-31', 20),
+(4, 30000, '2000-01-01', '2010-12-31', 20),
+(5, 100000, '2000-01-01', '2010-12-31', 30),
+(6, 250000, '2000-01-01', '2010-12-31', 40),
+(7, 500000, '2000-01-01', '2010-12-31', 46),
+(8, 1000000, '2000-01-01', '2010-12-31', 50),
+(9, 100000000, '2000-01-01', '2010-12-31', 60),
+(4, 30000, '2011-01-01', '2011-09-14', 16),
+(1, 3000, '2011-01-01', '2011-09-14', 9),
+(2, 10000, '2011-01-01', '2011-09-14', 12),
+(3, 15000, '2011-01-01', '2011-09-14', 16),
+(5, 100000, '2011-01-01', '2011-09-14', 24),
+(6, 250000, '2011-01-01', '2011-09-14', 32),
+(7, 500000, '2011-01-01', '2011-09-14', 36),
+(8, 1000000, '2011-01-01', '2011-09-14', 40),
+(9, 100000000, '2011-01-01', '2011-09-14', 48),
+(1, 1000, '2011-09-15', '0000-00-00', 6),
+(2, 3000, '2011-09-15', '0000-00-00', 6),
+(3, 5000, '2011-09-15', '0000-00-00', 7),
+(4, 10000, '2011-09-15', '0000-00-00', 10),
+(5, 15000, '2011-09-15', '0000-00-00', 16),
+(6, 30000, '2011-09-15', '0000-00-00', 16),
+(7, 100000, '2011-09-15', '0000-00-00', 24),
+(8, 250000, '2011-09-15', '0000-00-00', 32),
+(9, 500000, '2011-09-15', '0000-00-00', 36),
+(10, 1000000, '2011-09-15', '0000-00-00', 40),
+(11, 100000000, '2011-09-15', '0000-00-00', 48);
+";
+$descr[4]="Cancella tabella esistente ele_conf ";
+$update[4]="DROP TABLE `soraldo_ele_conf`;";
+
+$descr[5]="Crea tabella ele_conf";
+$update[5]="
+CREATE TABLE IF NOT EXISTS `soraldo_ele_conf` (
+  `id_conf` int(11) NOT NULL auto_increment,
+  `descrizione` varchar(50) NOT NULL,
+  `limite` int(2) NOT NULL,
+  `consin` enum('0','1') NOT NULL default '1',
+  `infpremio` int(3) NOT NULL,
+  `supsbarramento` int(3) NOT NULL,
+  `suppremio` int(3) NOT NULL,
+  `listinfsbar` int(3) NOT NULL default '1',
+  `listinfconta` enum('0','1') NOT NULL default '1',
+  `listsupconta` enum('0','1') NOT NULL default '1',
+  `supminpremio` int(3) NOT NULL,
+  `infminpremio` int(3) NOT NULL,
+  `infdisgiunto` enum('0','1') NOT NULL default '0',
+  `supdisgiunto` enum('0','1') NOT NULL default '0',
+  PRIMARY KEY  (`id_conf`)
+) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;
+";
+$descr[6]="Popola tabella ele_conf";
+$update[6]="
+INSERT INTO `soraldo_ele_conf` (`id_conf`, `descrizione`, `limite`, `consin`, `infpremio`, `supsbarramento`, `suppremio`, `listinfsbar`, `listinfconta`, `listsupconta`, `supminpremio`, `infminpremio`, `infdisgiunto`, `supdisgiunto`) VALUES
+(1, 'Legge Italiana 267/2000', 3, '1', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0'),
+(2, 'Regione Sicilia precedente al 2008', 2, '0', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0'),
+(3, 'Regione Sicilia Legge n. 22 del 16/12/2008', 2, '0', 67, 5, 60, 3, '1', '0', 40, 40, '0', '0'),
+(4, 'Regione Sicilia Legge n.6/2011', 5, '1', 67, 5, 60, 5, '1', '1', 40, 40, '1', '1');
+";
+$descr[7]="Aggiorna tabella ele_sezioni";
+$update[7]="
+ALTER TABLE `soraldo_ele_sezioni` ADD `solo_lista` INT( 7 ) NOT NULL DEFAULT '0';
+";
+
+for ($i=1; $i<=7; $i++)
+  {
+	$query = mysql_query($update[$i],$dbi); 
+
+	if($query){
+		echo "<br/><span style=\"color:#45ac0d;\">Fase $i: <b>$descr[$i] </b> - Database</b> aggiornato con successo<span>";
+	}else{ 
+   		echo "<br/><span style=\"color:#ff0000;\">Fase $i: $descr[$i] - Errore nr. <b>". mysql_errno() ." ". mysql_error(). " </b> nell'aggiornamento <br\></span>";
+    	 //exit();
+   	}
+}
+echo"<hr/>Ricordati di cancellare questo file . update2_138-139.php";
+
+
+
+?>
+