Index: trunk/admin/modules/Elezioni/ele_gruppo.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_gruppo.php	(revision 171)
+++ trunk/admin/modules/Elezioni/ele_gruppo.php	(revision 172)
@@ -41,9 +41,11 @@
 if (isset($param['descr_gruppo'])) get_magic_quotes_gpc() ? $descr_gruppo=$param['descr_gruppo']:$descr_gruppo=addslashes($param['descr_gruppo']); else $descr_gruppo='';
 if (isset($param['simbolo'])) get_magic_quotes_gpc() ? $simbolo=$param['simbolo']:$simbolo=addslashes($param['simbolo']); else $simbolo='';
+if (isset($param['delsimb'])) get_magic_quotes_gpc() ? $delsimb=$param['delsimb']:$delsimb=addslashes($param['delsimb']);
+if (isset($param['delprog'])) get_magic_quotes_gpc() ? $delprog=$param['delprog']:$delprog=addslashes($param['delprog']);
 /******************************************************/
 /*Funzione di visualizzazione globale                 */
 /*****************************************************/
 	function all() {
-   		global $tipo_cons,$param,$currentlang, $bgcolor1, $bgcolor2, $prefix, $dbi, $offset, $min, $id_cons,$id_cons_gen,$id_comune,$id_circ,$do,$id_gruppo;
+   		global $delsimb,$delprog,$tipo_cons,$param,$currentlang, $bgcolor1, $bgcolor2, $prefix, $dbi, $offset, $min, $id_cons,$id_cons_gen,$id_comune,$id_circ,$do,$id_gruppo;
 	$res = mysql_query("SELECT circo FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' and lingua='$currentlang'", $dbi);
 	list($cons_circ)= mysql_fetch_row($res);
@@ -63,10 +65,23 @@
 		echo "</select></td></tr></table></form>";
 	}
-	echo "<center><font class=\"title\"><b>"._GRUPPO."</b></font><br><table border=\"0\" width=\"100%\"><tr bgcolor=\"$bgcolor1\">"
+	echo "<center><font class=\"title\"><b>"._GRUPPO."</b></font><br>";
+	
+	echo "<table border=\"0\" width=\"100%\"><tr bgcolor=\"$bgcolor1\"><td colspan=\"5\">";
+	echo "<form name=\"gruppo2\" enctype=\"multipart/form-data\" action=\"admin.php\" method=\"post\">"
+	."<input type=\"hidden\" name=\"op\" value=\"gruppo\">";
+	echo "<table><tr>"
 	."<td align=\"center\"width=\"5%\"><b>"._NUM."</b></td>"
 	."<td align=\"center\"><b>"._DESCR."</b></td>"
-	."<td align=\"center\"width=\"5%\"><b>"._SIMBOLO."</b></td>";
-	if ($tipo_cons!=2) 
-	echo "<td align=\"center\"width=\"5%\"><b>"._PROGRAM."</b></td>";
+	."<td align=\"center\"width=\"5%\"><b>"._SIMBOLO."</b>";
+	if ($do=='modify')
+		echo "<br><input type=\"checkbox\" name=\"delsimb\" value=\"false\"> "._DELETE;
+	echo "</td>";
+
+	if ($tipo_cons!=2) {
+	echo "<td align=\"center\"width=\"5%\"><b>"._PROGRAM."</b>";
+	if ($do=='modify')
+		echo "<br><input type=\"checkbox\" name=\"delprog\" value=\"false\"> "._DELETE;
+	echo "</td>";
+	}
 	echo "<td align=\"center\"><b>"._FUNZIONI."</b></td></tr>";
 	//-----------------------visualizza riga superiore per inserimento -
@@ -75,6 +90,5 @@
 	$max = mysql_num_rows($res);
 	$nuovo_gruppo=$max+1;
-	echo "<form name=\"gruppo2\" enctype=\"multipart/form-data\" action=\"admin.php\" method=\"post\">"
-	."<input type=\"hidden\" name=\"op\" value=\"gruppo\">";
+	echo "<tr><td>";
 	if ($do=='modify') {
 	$resl = mysql_query("SELECT * FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
@@ -90,9 +104,9 @@
 	echo "<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">"
 	."<input type=\"hidden\" name=\"id_gruppo\" value=\"".$gru['id_gruppo']."\">"
-	."<tr><td><input type=\"text\" name=\"num_gruppo\" value=\"$nuovo_gruppo\" size=\"5\"></td>"
+	."<input type=\"text\" name=\"num_gruppo\" value=\"$nuovo_gruppo\" size=\"5\"></td>"
 	."<td><input type=\"text\" name=\"descr_gruppo\" value=\"".$gru['descrizione']."\"></td>";
 	echo "<td><input type=\"file\" name=\"stemma\" size=\"5\"></td>"; //file=$gru[simbolo]
 	if ($tipo_cons!=2) 
-	echo "<td><input type=\"file\" name=\"programma\" size=\"5\"></td>"; 
+		echo "<td><input type=\"file\" name=\"programma\" size=\"5\">"; 
 	echo "<input type=\"hidden\" name=\"min\" value=\"$min\">";
 	echo "<input type=\"hidden\" name=\"id_comune\" value=\"$id_comune\">";
@@ -100,11 +114,11 @@
 	echo "<input type=\"hidden\" name=\"id_cons\" value=\"$id_cons\">"
 	."<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">"
-	."<input type=\"hidden\" name=\"min\" value=\"$min\">";
+	."<input type=\"hidden\" name=\"min\" value=\"$min\"></td>";
 	if ($do=='modify') 
 		echo "<td><input type=\"submit\" name=\"add\" value=\""._MODIFY."\"></td>";
 	else
 		echo "<td><input type=\"submit\" name=\"add\" value=\""._ADD."\"></td>";
-	echo "</form>";
-		
+	echo "</tr></table></form>";
+	echo "</td></tr>";		
 		
 		
@@ -161,5 +175,5 @@
 
 function gruppo($ok, $do,$id_gruppo,$num_gruppo,$descr_gruppo, $simbolo,$id_circ) {
-	global $prefix, $dbi, $id_cons,$simbolo2,$genere,$id_cons_gen,$id_comune,$min;
+	global $delsimb,$delprog,$prefix, $dbi, $id_cons,$simbolo2,$genere,$id_cons_gen,$id_comune,$min;
 	$aid=$_SESSION['aid'];
 	$perms=ChiSei($id_cons_gen);
@@ -236,5 +250,8 @@
 					$prognome=addslashes($nomeprog );
 				$cond=", prognome='$prognome', programma='$progblob'";
-				} else {$cond='';}
+				} else {
+					if ( $delprog=='false') $cond=", prognome='', programma=''";
+					else $cond='';
+				}
 
 
@@ -252,5 +269,8 @@
 				$stemmanome=addslashes($nomestemma);
 				$cond2=", simbolo='$stemmanome', stemma='$stemmablob'";
-			} else {$cond2='';}
+			} else {
+					if ( $delsimb=='false') $cond2=", simbolo='', stemma=''";
+					else $cond2='';
+			}
          		$result = mysql_query("update  ".$prefix."_ele_gruppo set num_gruppo='$num_gruppo' , descrizione='$descr_gruppo' $cond $cond2 where id_gruppo='$id_gruppo' ", $dbi) || die("Errore di aggiornamento dei dati!".mysql_error());
 			Header("Location: admin.php?op=gruppo&id_cons_gen=$id_cons_gen&id_circ=$id_circ&min=$min");