Index: trunk/admin/modules/Elezioni/ele_associazioni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 184)
+++ trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 185)
@@ -42,4 +42,5 @@
 if (isset($_GET['help'])) $help=intval($_GET['help']);
 if (isset($_GET['pwd4'])) $pwd4=intval($_GET['pwd4']);
+if (isset($_GET['preferenze'])) $preferenze=intval($_GET['preferenze']); else $preferenze=1;
 
 $offset=15;
@@ -52,5 +53,5 @@
 	//
 	function all() {
-	global $user, $admin, $bgcolor1, $bgcolor2, $prefix,$descr_cons, $dbi,$id_cons,$desc,$indirizzo,$centralino,$fax,$id_cons_gen,$id_collegio,$idcomune,$chiusa,$id_conf,$tipo_cons,$language,$help;
+	global $user, $admin, $bgcolor1, $bgcolor2, $prefix,$descr_cons, $dbi,$id_cons,$desc,$indirizzo,$centralino,$fax,$id_cons_gen,$id_collegio,$idcomune,$chiusa,$id_conf,$tipo_cons,$language,$help,$preferenze;
 $aid=$_SESSION['aid'];
 $dbi=$_SESSION['dbi'];
@@ -92,4 +93,5 @@
 #	echo "<td bgcolor=\"$bgcolor1\"><b>"._COLLEGI."</b></td>";
 	echo "<td bgcolor=\"$bgcolor1\"><b>"._DEFCOMUNE."</b></td>";
+	echo "<td width=\"10%\" bgcolor=\"$bgcolor1\"><b>"._PREFERENZE."</b></td>";
 	echo "<td bgcolor=\"$bgcolor1\"><b>"._STATO."</b></td><td bgcolor=\"$bgcolor1\">";
 	if($tipo_cons==3)
@@ -128,4 +130,5 @@
 	}
 	echo "</td>";
+	echo "<td><input type=\"text\" name=\"preferenze\" value=\"$preferenze\" size=\"2\"></td>";
 	$selez['0']='';
 	$selez['1']='';
@@ -158,5 +161,5 @@
 		echo "<input type=\"hidden\" name=\"idcomune\" value=\"$idcomune\">";
 		echo "<input type=\"submit\" id=\"add\" name=\"add\" value=\""._MODIFY."\" ></td></tr>";
-		echo "<tr><td colspan=\"4\"><fieldset><legend>"._SPUNTALABEL1."</legend><label id=\"prov1\">"._SPUNTAELIMINA." <input type=\"checkbox\" id=\"pwd3\" name=\"pwd3\" value=\"\" onclick=\"javascript:del_cons()\"></label></fieldset></td></tr>";
+		echo "<tr><td colspan=\"5\"><fieldset><legend>"._SPUNTALABEL1."</legend><label id=\"prov1\">"._SPUNTAELIMINA." <input type=\"checkbox\" id=\"pwd3\" name=\"pwd3\" value=\"\" onclick=\"javascript:del_cons()\"></label></fieldset></td></tr>";
 # <div  id=\"trspunta\" style=\"visibility:hidden\">   </div>
 		echo "<tr id=\"trspunta\" style=\"visibility:hidden\"><td colspan=\"4\"><fieldset><legend>"._SPUNTALABEL2."</legend><label id=\"prov\">"._VIASPUNTAELIMINA." <input type=\"checkbox\" id=\"pwd4\" name=\"pwd4\" value=\"1\" onclick=\"javascript:del_cons()\"></label></fieldset>";
@@ -172,8 +175,9 @@
 #	echo "<td bgcolor=\"$bgcolor1\"><b>"._COLLEGI."</b></td>";
 	echo "<td width=\"25%\" bgcolor=\"$bgcolor1\"><b>"._DEFCOMUNE."</b></td>";
-	echo "<td width=\"15%\" bgcolor=\"$bgcolor1\"><b>"._STATO."</b></td>";
+	echo "<td width=\"10%\" bgcolor=\"$bgcolor1\"><b>"._PREFERENZE."</b></td>";
+	echo "<td width=\"10%\" bgcolor=\"$bgcolor1\"><b>"._STATO."</b></td>";
 	if($tipo_cons==3)
 		echo "<td bgcolor=\"$bgcolor1\"><b>"._CONF."</b></td>";
-	echo "<td></td></tr>";
+	echo "<td width=\"10\" bgcolor=\"$bgcolor1\"><b>&nbsp;"._FUNZIONI."</td></tr>";
 ###############
 
@@ -181,11 +185,11 @@
 #	$resmod = mysql_query("SELECT t1.id_collegio,t1.id_comune,t2.descrizione as descr,t1.id_cons, t3.descrizione, t4.chiusa,t4.id_conf FROM ".$prefix."_ele_comu_collegi as t1, ".$prefix."_ele_collegi as t2, ".$prefix."_ele_comuni as t3, ".$prefix."_ele_cons_comune as t4 where t1.id_cons_gen='$id_cons_gen' and t1.id_collegio=t2.id_collegio and t1.id_comune=t3.id_comune and t1.id_comune=t4.id_comune and t2.id_cons_gen=t4.id_cons_gen order by t2.descrizione, t3.descrizione", $dbi);
 #	else
-	$resmod = mysql_query("SELECT '',t1.id_comune,'',t1.id_cons, t2.descrizione, t1.chiusa, t1.id_conf FROM ".$prefix."_ele_cons_comune as t1, ".$prefix."_ele_comuni as t2 where t1.id_cons_gen='$id_cons_gen' and t1.id_comune=t2.id_comune order by t2.descrizione", $dbi);
-	while (list($id_collegio,$id_comune2,$descr_coll,$id_cons_comu,$descr_comu, $chiusa,$id_conf) = mysql_fetch_row($resmod)){ //elenco dei modelli inseriti
+	$resmod = mysql_query("SELECT '',t1.id_comune,'',t1.id_cons, t2.descrizione, t1.chiusa, t1.id_conf, preferenze FROM ".$prefix."_ele_cons_comune as t1, ".$prefix."_ele_comuni as t2 where t1.id_cons_gen='$id_cons_gen' and t1.id_comune=t2.id_comune order by t2.descrizione", $dbi);
+	while (list($id_collegio,$id_comune2,$descr_coll,$id_cons_comu,$descr_comu, $chiusa,$id_conf,$preferenze2) = mysql_fetch_row($resmod)){ //elenco dei modelli inseriti
 		$resconf = mysql_query("SELECT descrizione FROM ".$prefix."_ele_conf where id_conf='$id_conf'", $dbi);
 		list($descr_conf) = mysql_fetch_row($resconf);
 		$i++;
 		$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
-		echo "<tr><td colspan=\"5\">";
+		echo "<tr><td colspan=\"6\">";
 		echo "<form name=\"modello$i\" action=\"admin.php\">"
 			."<input type=\"hidden\" name=\"op\" value=\"associazioni\">";
@@ -198,10 +202,11 @@
 		echo "<input type=\"hidden\" name=\"chiusa\" value=\"$chiusa\">";
 		echo "<table width=\"100%\"><tr align=\"center\" bgcolor=\"$bgcolor1\">";
-		echo "<td width=\"25%\"><b>$descr_coll</b></td>";
-		echo "<td width=\"25%\"><b>$descr_comu</b></td>";
+		echo "<td width=\"27%\"><b>$descr_cons</b></td>";
+		echo "<td width=\"27%\"><b>$descr_comu</b></td>";
+		echo "<td width=\"12%\"><b>$preferenze2</b></td>";
 		$stato['0']=_ATTIVA;
 		$stato['1']=_CHIUSA;
 		$stato['2']=_NULLA;
-		echo "<td  width=\"15%\"><b>".$stato[$chiusa]."</b></td>";
+		echo "<td  width=\"11%\"><b>".$stato[$chiusa]."</b></td>";
 		if($tipo_cons==3)
 			echo "<td  width=\"25%\"><input type=\"hidden\" name=\"id_conf\" value=\"$id_conf\"><b>".$descr_conf."</b></td>";
@@ -215,5 +220,5 @@
 	}
 
-function associazioni($ok, $do,$descr_comu,$id_cons_comu,$id_collegio,$id_comune,$chiusa,$id_conf) {
+function associazioni($ok, $do,$descr_comu,$id_cons_comu,$id_collegio,$id_comune,$chiusa,$id_conf,$preferenze) {
 	global $admin, $bgcolor1, $bgcolor2, $prefix, $dbi, $descr_cons,$genere,$id_cons_gen,$idcomunenew,$pwd4;
 	$delcons=0;
@@ -223,5 +228,5 @@
 			list($delcons)=mysql_fetch_row($rescomu);
 			if (!$max){			//se no la inserisce
-			$result = mysql_query("insert into ".$prefix."_ele_cons_comune (chiusa,id_comune,id_cons_gen,id_conf) values ('0','$idcomunenew','$id_cons_gen','$id_conf')", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
+			$result = mysql_query("insert into ".$prefix."_ele_cons_comune (chiusa,id_comune,id_cons_gen,id_conf,preferenze) values ('0','$idcomunenew','$id_cons_gen','$id_conf','$preferenze')", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
 			$rescomu = mysql_query("SELECT id_cons from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$idcomunenew'", $dbi);
 		list($id_cons_comu)=mysql_fetch_row($rescomu);
@@ -237,5 +242,5 @@
 			$result = mysql_query("update ".$prefix."_ele_comu_collegi set id_collegio= '$id_collegio' $newid where id_comune='$id_comune' and id_cons_gen='$id_cons_gen'", $dbi) || die(mysql_error());
 			if (!$result) return;
-			$result = mysql_query("update ".$prefix."_ele_cons_comune set id_conf='$id_conf', chiusa= '$chiusa' where id_comune='$id_comune' and id_cons_gen='$id_cons_gen'", $dbi)|| die(mysql_error());
+			$result = mysql_query("update ".$prefix."_ele_cons_comune set id_conf='$id_conf', chiusa= '$chiusa', preferenze='$preferenze' where id_comune='$id_comune' and id_cons_gen='$id_cons_gen'", $dbi)|| die(mysql_error());
 			Header("Location: admin.php?op=associazioni&id_cons_gen=$id_cons_gen");
 		}elseif ($do == "add") {
@@ -282,5 +287,5 @@
 //****************************
 	if ($op=="associazioni"){
-    		associazioni($ok, $do,$descr_comu,$id_cons_comu,$id_collegio,$idcomune,$chiusa,$id_conf);
+    		associazioni($ok, $do,$descr_comu,$id_cons_comu,$id_collegio,$idcomune,$chiusa,$id_conf,$preferenze);
 	}
 	ele();
Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 184)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 185)
@@ -489,4 +489,6 @@
 $bgcolor2=$_SESSION['bgcolor2'];
     //controlla se sono stati inseriti i votanti
+$result = mysql_query("SELECT preferenze from ".$prefix."_ele_cons_comune where id_cons='$id_cons'",$dbi);
+list($numprefs)=mysql_fetch_row($result);
     
 if(!$votog and ($genere==3 or $genere==5))
@@ -532,5 +534,5 @@
                         }
 			list($votisezlis)=mysql_fetch_row($result);
-			if($votisezcand>$votisezlis)
+			if($votisezcand>($votisezlis*$numprefs))
 				$segna="style=\"background-color: #dd0000;\"";
 
@@ -581,5 +583,5 @@
                         }
 			list($votisezlis)=mysql_fetch_row($result);
-			if($votisezcand>$votisezlis)
+			if($votisezcand>($votisezlis*$numprefs))
 				echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti di preferenza $votisezcand <br/>superano i voti di lista $votisezlis</b><br></td></tr></table>";
 			