Index: trunk/install/sql/eleonline.sql
===================================================================
--- trunk/install/sql/eleonline.sql	(revision 185)
+++ trunk/install/sql/eleonline.sql	(revision 189)
@@ -289,20 +289,25 @@
 DROP TABLE IF EXISTS `soraldo_ele_conf`;
 CREATE TABLE `soraldo_ele_conf` (
-  `id_conf` int(11) NOT NULL auto_increment,
+  `id_conf` int(11) NOT NULL AUTO_INCREMENT,
   `descrizione` varchar(50) NOT NULL,
   `limite` int(2) NOT NULL,
-  `consin` enum('0','1') NOT NULL default '1',
+  `consin` enum('0','1') NOT NULL DEFAULT '1',
   `infpremio` int(3) NOT NULL,
   `supsbarramento` int(3) NOT NULL,
   `suppremio` int(3) NOT NULL,
-  `listinfsbar` int(3) NOT NULL default '1',
-  `listinfconta` enum('0','1') NOT NULL default '1',
-  `listsupconta` enum('0','1') NOT NULL default '1',
+  `listinfsbar` int(3) NOT NULL DEFAULT '1',
+  `listinfconta` enum('0','1') NOT NULL DEFAULT '1',
+  `listsupconta` enum('0','1') NOT NULL DEFAULT '1',
   `supminpremio` int(3) NOT NULL,
   `infminpremio` int(3) NOT NULL,
   `infdisgiunto` enum('0','1') NOT NULL DEFAULT '0',
   `supdisgiunto` enum('0','1') NOT NULL DEFAULT '0',
-  PRIMARY KEY  (`id_conf`)
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `votolista` enum('0','1') NOT NULL DEFAULT '0',
+  `inffisso` enum('0','1') NOT NULL DEFAULT '0',
+  `supfisso` enum('0','1') NOT NULL DEFAULT '0',
+  `fascia_capoluogo` int(2) NOT NULL DEFAULT '0',
+  PRIMARY KEY (`id_conf`)
+) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;
+
 
 --
@@ -313,9 +318,11 @@
 /*!40000 ALTER TABLE `soraldo_ele_conf` DISABLE KEYS */;
 LOCK TABLES `soraldo_ele_conf` WRITE;
-INSERT INTO `soraldo_ele_conf` VALUES 
-(1, 'Legge Italiana 267/2000', 3, '1', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0'),
-(2, 'Regione Sicilia precedente al 2008', 2, '0', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0'),
-(3, 'Regione Sicilia Legge n. 22 del 16/12/2008', 2, '0', 67, 5, 60, 3, '1', '0', 40, 40, '0', '0'),
-(4, 'Regione Sicilia Legge n.6/2011', 5, '1', 67, 5, 60, 5, '1', '1', 40, 40, '1', '1');
+INSERT INTO `soraldo_ele_conf` (`id_conf`, `descrizione`, `limite`, `consin`, `infpremio`, `supsbarramento`, `suppremio`, `listinfsbar`, `listinfconta`, `listsupconta`, `supminpremio`, `infminpremio`, `infdisgiunto`, `supdisgiunto`, `votolista`, `inffisso`, `supfisso`, `fascia_capoluogo`) VALUES
+(1, 'Legge Italiana 267/2000', 3, '1', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0', '0', '0', '0', 6),
+(2, 'Regione Sicilia precedente al 2008', 2, '0', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0', '0', '0', '0', 6),
+(3, 'Regione Sicilia Legge n. 22 del 16/12/2008', 2, '0', 67, 5, 60, 3, '1', '0', 40, 40, '0', '0', '0', '0', '0', 7),
+(4, 'Regione Sicilia Legge n.6/2011', 5, '1', 67, 5, 60, 5, '1', '1', 40, 40, '1', '1', '0', '0', '0', 7),
+(5, 'Legge Italiana 267/2000 con riduzione 2011', 3, '1', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0', '0', '0', '0', 7),
+(6, 'Legge Italiana 267/2000 con riduzione 2012', 3, '1', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0', '0', '0', '0', 7);
 UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_conf` ENABLE KEYS */;
@@ -334,4 +341,6 @@
   `preferita` enum('0','1') NOT NULL default '0',
   `preferenze` TINYINT( 1 ) NOT NULL DEFAULT '1',
+  `id_fascia` INT( 2 ) NOT NULL DEFAULT '1',
+  `vismf` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
   PRIMARY KEY  (`id_cons`),
   UNIQUE KEY `comune` (`id_comune`,`id_cons_gen`)
@@ -404,7 +413,6 @@
   `id_fascia` int(2) NOT NULL,
   `abitanti` int(11) NOT NULL,
-  `data_inizio` date NOT NULL,
-  `data_fine` date NOT NULL,
   `seggi` int(4) NOT NULL,
+  `id_conf` int(11) DEFAULT '1',
   KEY `id_fascia` (`id_fascia`)
 ) ENGINE=MyISAM DEFAULT CHARSET=latin1;
@@ -417,33 +425,62 @@
 /*!40000 ALTER TABLE `soraldo_ele_fasce` DISABLE KEYS */;
 INSERT INTO `soraldo_ele_fasce` VALUES 
-(1, 3000, '2000-01-01', '2010-12-31', 12),
-(2, 10000, '2000-01-01', '2010-12-31', 16),
-(3, 15000, '2000-01-01', '2010-12-31', 20),
-(4, 30000, '2000-01-01', '2010-12-31', 20),
-(5, 100000, '2000-01-01', '2010-12-31', 30),
-(6, 250000, '2000-01-01', '2010-12-31', 40),
-(7, 500000, '2000-01-01', '2010-12-31', 46),
-(8, 1000000, '2000-01-01', '2010-12-31', 50),
-(9, 100000000, '2000-01-01', '2010-12-31', 60),
-(4, 30000, '2011-01-01', '2011-09-14', 16),
-(1, 3000, '2011-01-01', '2011-09-14', 9),
-(2, 10000, '2011-01-01', '2011-09-14', 12),
-(3, 15000, '2011-01-01', '2011-09-14', 16),
-(5, 100000, '2011-01-01', '2011-09-14', 24),
-(6, 250000, '2011-01-01', '2011-09-14', 32),
-(7, 500000, '2011-01-01', '2011-09-14', 36),
-(8, 1000000, '2011-01-01', '2011-09-14', 40),
-(9, 100000000, '2011-01-01', '2011-09-14', 48),
-(1, 1000, '2011-09-15', '0000-00-00', 6),
-(2, 3000, '2011-09-15', '0000-00-00', 6),
-(3, 5000, '2011-09-15', '0000-00-00', 7),
-(4, 10000, '2011-09-15', '0000-00-00', 10),
-(5, 15000, '2011-09-15', '0000-00-00', 16),
-(6, 30000, '2011-09-15', '0000-00-00', 16),
-(7, 100000, '2011-09-15', '0000-00-00', 24),
-(8, 250000, '2011-09-15', '0000-00-00', 32),
-(9, 500000, '2011-09-15', '0000-00-00', 36),
-(10, 1000000, '2011-09-15', '0000-00-00', 40),
-(11, 100000000, '2011-09-15', '0000-00-00', 48);
+(1, 3000, 12, 1),
+(2, 10000, 16, 1),
+(3, 15000, 20, 1),
+(4, 30000, 20, 1),
+(5, 100000, 30, 1),
+(6, 250000, 40, 1),
+(7, 500000, 46, 1),
+(8, 1000000, 50, 1),
+(9, 100000000, 60, 1),
+(1, 3000, 9, 5),
+(2, 5000, 9, 5),
+(3, 10000, 12, 5),
+(4, 15000, 16, 5),
+(5, 30000, 16, 5),
+(6, 100000, 24, 5),
+(7, 250000, 32, 5),
+(8, 500000, 36, 5),
+(9, 1000000, 40, 5),
+(10, 100000000, 48, 5),
+(1, 3000, 6, 6),
+(2, 5000, 7, 6),
+(3, 10000, 10, 6),
+(4, 15000, 16, 6),
+(5, 30000, 16, 6),
+(6, 100000, 24, 6),
+(7, 250000, 32, 6),
+(8, 500000, 36, 6),
+(9, 1000000, 40, 6),
+(10, 100000000, 48, 6),
+(1, 3000, 12, 2),
+(2, 10000, 16, 2),
+(3, 15000, 20, 2),
+(4, 30000, 20, 2),
+(5, 100000, 30, 2),
+(6, 250000, 40, 2),
+(7, 500000, 46, 2),
+(8, 1000000, 50, 2),
+(9, 100000000, 60, 2),
+(1, 3000, 9, 3),
+(2, 5000, 9, 3),
+(4, 15000, 16, 3),
+(3, 10000, 12, 3),
+(5, 30000, 16, 3),
+(6, 100000, 24, 3),
+(7, 250000, 32, 3),
+(8, 500000, 36, 3),
+(9, 1000000, 40, 3),
+(10, 100000000, 48, 3),
+(1, 3000, 6, 4),
+(2, 5000, 7, 4),
+(3, 10000, 12, 4),
+(4, 15000, 16, 4),
+(5, 30000, 16, 4),
+(6, 100000, 24, 4),
+(7, 250000, 32, 4),
+(8, 500000, 36, 4),
+(9, 1000000, 40, 4),
+(10, 100000000, 48, 4);
 /*!40000 ALTER TABLE `soraldo_ele_fasce` ENABLE KEYS */;
 UNLOCK TABLES;