Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 193)
+++ /trunk/admin/versione.php	(revision 194)
@@ -1,3 +1,3 @@
 <?php
-$versione="2.0 rev 189";
+$versione="2.0 rev 194";
 ?> 
Index: /trunk/client/modules/Elezioni/consiglieri.php
===================================================================
--- /trunk/client/modules/Elezioni/consiglieri.php	(revision 193)
+++ /trunk/client/modules/Elezioni/consiglieri.php	(revision 194)
@@ -24,7 +24,6 @@
 
 
-$res = mysql_query("SELECT id_conf FROM ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$id_comune'" , $dbi);
-list($id_conf) = mysql_fetch_row($res);
-
+$result = mysql_query("select id_conf,id_fascia from ".$prefix."_ele_cons_comune where id_cons='$id_cons'", $dbi);
+list($id_conf,$fascia) = mysql_fetch_row($result);
 
 $res = mysql_query("SELECT limite,consin,infpremio,supsbarramento,suppremio,listinfsbar,listinfconta,listsupconta,supminpremio,infminpremio from ".$prefix."_ele_conf where id_conf='$id_conf'",$dbi);
@@ -36,5 +35,5 @@
 
 function consiglio(){
-global $param,$id_cons_gen, $dbi, $prefix, $id_comune, $gruppo, $numgruppo, $listecol, $id_comune, $limite,$numcons;
+global $param,$id_cons_gen, $dbi, $prefix, $id_comune, $gruppo, $numgruppo, $listecol, $id_comune, $limite,$numcons,$id_conf,$fascia,$id_cons;
 $collegate= array();
 $collperd= array();
@@ -48,15 +47,14 @@
 $res = mysql_query("SELECT t1.tipo_cons,t2.id_cons,t2.id_fascia,t2.id_conf FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
 if (mysql_num_rows($res)){
-	list($tipo_cons,$id_cons,$fascia,$conf) = mysql_fetch_row($res);
+#	list($tipo_cons,$id_cons,$fascia,$conf) = mysql_fetch_row($res);
 	$result = mysql_query("select capoluogo from ".$prefix."_ele_comuni where id_comune='$id_comune'", $dbi);
 	list($capoluogo) = mysql_fetch_row($result);
 	if($fascia<6 and $capoluogo) {
-	$resfascia = mysql_query("SELECT fascia_capoluogo from ".$prefix."_ele_conf where id_conf=$conf", $dbi);
+	$resfascia = mysql_query("SELECT fascia_capoluogo from ".$prefix."_ele_conf where id_conf=$id_conf", $dbi);
 	list ($fascia)= mysql_fetch_row($resfascia);
 	}
 
-		$result = mysql_query("SELECT seggi from ".$prefix."_ele_fasce where id_fascia='$fascia' and id_conf=$conf",$dbi);
+		$result = mysql_query("SELECT seggi from ".$prefix."_ele_fasce where id_fascia='$fascia' and id_conf=$id_conf",$dbi);
 		list($numcons) = mysql_fetch_row($result);
-
 $res_val= mysql_query("SELECT id_cand, sum(voti) from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' group by id_cand",$dbi);
 $num_cons= mysql_num_rows($res_val);
@@ -83,10 +81,9 @@
 			$numgruppo=$num_gruppo1;
 	}
-
 	if ($fascia<=$limite and $numgruppo) consmin($fascia,$numgruppo);
 	elseif ($gruppo>0) conssup($fascia,$gruppo,$collegate,$collperd,$primoturno);
 	elseif ($numgruppo>0){
 		$res_lis = mysql_query("SELECT t1.id_lista,t1.num_lista,t1.descrizione,t1.id_gruppo from ".$prefix."_ele_lista as t1, ".$prefix."_ele_gruppo as t2 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t2.num_gruppo not in (".$_SESSION['ballo1'].",".$_SESSION['ballo2'].")",$dbi);
-		$yy=mysql_num_rows($res_lis);
+		$yy=mysql_num_rows($res_lis); 
 			$res_voti = mysql_query("select sum(voti) from ".$prefix."_ele_voti_lista where id_cons='$id_cons'",$dbi);
 			list($validilista) = mysql_fetch_row($res_voti);
@@ -498,5 +495,5 @@
 
 
-if ($premio) {
+if ($premio) { 
     $sindaco[$gruppo]=$groups[$gruppo]; $groups[$gruppo]=0;
     $gruppomag=calcoloseggi($sindaco,number_format($numcons*$suppremio/100),0);
Index: /trunk/client/modules/Elezioni/menu.php
===================================================================
--- /trunk/client/modules/Elezioni/menu.php	(revision 193)
+++ /trunk/client/modules/Elezioni/menu.php	(revision 194)
@@ -170,5 +170,5 @@
 	 			echo "<option value=\"gruppo_circo\" ".$temp['gruppo_circo'].">".substr(_GRUPPO." "._PER." "._CIRCO,0,33)."</option>";
 	 		echo "<option value=\"gruppo_sezione\" ".$temp['gruppo_sezione'].">".substr(_GRUPPO." "._PER." "._SEZIONI,0,33)."</option>";
-		}
+		} 
 		if (!$votol and $fascia>$limite){ // si vota per la lista
 			if ($genere>2) {
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 193)
+++ /trunk/client/versione.php	(revision 194)
@@ -1,3 +1,3 @@
 <?php
-$versione="2.0 rev 188";
+$versione="2.0 rev 194";
 ?> 
Index: /trunk/sql/aggiornamento-2.0_2014-03-23.sql
===================================================================
--- /trunk/sql/aggiornamento-2.0_2014-03-23.sql	(revision 194)
+++ /trunk/sql/aggiornamento-2.0_2014-03-23.sql	(revision 194)
@@ -0,0 +1,45 @@
+
+--
+-- Database: `eleonline`
+--
+
+-- --------------------------------------------------------
+
+--
+-- Struttura della tabella `soraldo_ele_conf`
+--
+
+DROP TABLE IF EXISTS `soraldo_ele_conf`;
+CREATE TABLE `soraldo_ele_conf` (
+  `id_conf` int(11) NOT NULL AUTO_INCREMENT,
+  `descrizione` varchar(50) NOT NULL,
+  `limite` int(2) NOT NULL,
+  `consin` enum('0','1') NOT NULL DEFAULT '1',
+  `infpremio` int(3) NOT NULL,
+  `supsbarramento` int(3) NOT NULL,
+  `suppremio` int(3) NOT NULL,
+  `listinfsbar` int(3) NOT NULL DEFAULT '1',
+  `listinfconta` enum('0','1') NOT NULL DEFAULT '1',
+  `listsupconta` enum('0','1') NOT NULL DEFAULT '1',
+  `supminpremio` int(3) NOT NULL,
+  `infminpremio` int(3) NOT NULL,
+  `infdisgiunto` enum('0','1') NOT NULL DEFAULT '0',
+  `supdisgiunto` enum('0','1') NOT NULL DEFAULT '0',
+  `votolista` enum('0','1') NOT NULL DEFAULT '0',
+  `inffisso` enum('0','1') NOT NULL DEFAULT '0',
+  `supfisso` enum('0','1') NOT NULL DEFAULT '0',
+  `fascia_capoluogo` int(2) NOT NULL DEFAULT '0',
+  PRIMARY KEY (`id_conf`)
+) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;
+
+--
+-- Dump dei dati per la tabella `soraldo_ele_conf`
+--
+
+INSERT INTO `soraldo_ele_conf` (`id_conf`, `descrizione`, `limite`, `consin`, `infpremio`, `supsbarramento`, `suppremio`, `listinfsbar`, `listinfconta`, `listsupconta`, `supminpremio`, `infminpremio`, `infdisgiunto`, `supdisgiunto`, `votolista`, `inffisso`, `supfisso`, `fascia_capoluogo`) VALUES
+(1, 'Legge Italiana 267/2000', 3, '1', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0', '0', '0', '0', 6),
+(2, 'Regione Sicilia precedente al 2008', 3, '0', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0', '0', '0', '0', 6),
+(3, 'Regione Sicilia Legge n. 22 del 16/12/2008', 4, '0', 67, 5, 60, 3, '1', '0', 40, 40, '0', '0', '0', '0', '0', 7),
+(4, 'Regione Sicilia Legge n.6/2011', 4, '1', 67, 5, 60, 5, '1', '1', 40, 40, '1', '1', '0', '0', '0', 7),
+(5, 'Legge Italiana 267/2000 con riduzione 2011', 4, '1', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0', '0', '0', '0', 7),
+(6, 'Legge Italiana 267/2000 con riduzione 2012', 4, '1', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0', '0', '0', '0', 7);